#!/bin/sh
###################################################################
#
#  This quick script copies files to their respective directories.
#
#  History:
#  Anders Nilsson, VV,   06/17/04, Created
#  Anders Nilsson, UCAR, 02/22/06, Added __GISRSSCHEMA__
#
###################################################################

## Test destination directory ##

if [ -d $IHABBS ]
then

## IHABBS directory exists ##
  echo Using destination $IHABBS

else

  echo Destination "bin" directory $IHABBS does not exist.
  echo Make sure \$IHABBS environment variable set correctly.
  exit

fi


## Copy executables, if present #

FILE=Export
if [ -f $FILE ]
then
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=NOHRSC_systems
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=ihabbs
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=nohrsc
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=uhg
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

## Copy documentation, if present ##

FILE=Export.hlp
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=ihabbs.hlp
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=nohrsc.hlp
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

FILE=uhg.hlp
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/
  cp -fp $FILE $IHABBS/
else
  echo File $FILE not present.
fi

## Add hydrograph location to config file **

FILE=nohrsc.cfg  
if [ -f $FILE ] 
then 
  echo Copying $FILE to $IHABBS/

  cat $FILE | sed -e "s%__HYDROLOCATION__%$GISRS_HOME/hydrograph%g" | sed -e "s%__GISRSDATABASE__%$GISRS_DATABASE%g" |  sed -e "s%__GISRSSCHEMA__%$GISRS_SCHEMA%g" > $IHABBS/$FILE

else
  echo File $FILE not present.
fi

