#####################################################################
#
#  Creates directory structure for data files 
#
#  Note that the following environment variables must already be set.
#
#  History:
#  Anders Nilsson, UCAR, 03/08/06, Added echo statements
#  Anders Nilsson, UCAR, 03/09/06, Added GISRS_SCRATCH_PATH
#                                  Reorganized
#
######################################################################

   DIR=$GISRS_COMMON_DATA/data/common/raster

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

   DIR=$GISRS_COMMON_DATA/data/common/vector

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

   DIR=$GISRS_BASIN_DATA/data/basin/vector

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

   DIR=$GISRS_BASIN_DATA/data/basin/raster/accumulation

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

   DIR=$GISRS_BASIN_DATA/data/basin/raster/df_dem

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

   DIR=$GISRS_BASIN_DATA/data/basin/raster/uf_flow

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

#####################################################################
#
#  Creates directory for color tables
#
######################################################################

   DIR=$GISRS_HOME/color_tables

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

#####################################################################
#
#  Creates directory for hydrographs 
#  ( Must match DATAPATH in nohrsc.cfg )
#
######################################################################

   DIR=$GISRS_HOME/hydrograph

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

#####################################################################
#
#  Creates directory for archives
#  ( Often $GISRS_HOME/archive )
#
######################################################################

   DIR=$GISRS_ARCHIVE

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

#####################################################################
#
#  Creates directory containing executables
#  ( Often $GISRS_HOME/bin )
#
######################################################################

   DIR=$IHABBS

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

#####################################################################
#
#  Create directory for scratch paths, if variable exists and
#  not already created 
#
#####################################################################

   DIR=$GISRS_SCRATCH_PATH 

   if [ $DIR ]
   then
      if [ ! -d $DIR ]
      then
         echo Making $DIR
         mkdir -p "$DIR"
      fi
   fi

